package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.SysDisBasic;

/**
 * 退伍复学申请Service接口
 *
 * @author srs
 * @date 2025-11-06
 */
public interface ISysDisBasicService extends IService<SysDisBasic> {
    /**
     * 查询退伍复学申请
     *
     * @param id 退伍复学申请主键
     * @return 退伍复学申请
     */
    public SysDisBasic selectSysDisBasicById(Long id);

    public SysDisBasic selectSysDisBasicByStName(String stName);

    public SysDisBasic selectSysDisBasicByProcessInstanceId(String processId);

    /**
     * 查询退伍复学申请列表
     *
     * @param sysDisBasic 退伍复学申请
     * @return 退伍复学申请集合
     */
    List<SysDisBasic> selectSysDisBasicList(SysDisBasic sysDisBasic);



    /**
     * 新增退伍复学申请
     *
     * @param sysDisBasic 退伍复学申请
     * @return 结果
     */
    int insertSysDisBasic(SysDisBasic sysDisBasic);

    /**
     * 修改退伍复学申请
     *
     * @param sysDisBasic 退伍复学申请
     * @return 结果
     */
    int updateSysDisBasic(SysDisBasic sysDisBasic);

    /**
     * 批量删除退伍复学申请
     *
     * @param ids 需要删除的退伍复学申请主键集合
     * @return 结果
     */
    int deleteSysDisBasicByIds(Long[] ids);

    /**
     * 删除退伍复学申请信息
     *
     * @param id 退伍复学申请主键
     * @return 结果
     */
    int deleteSysDisBasicById(Long id);
}
